ONVIF::PTZ::Types::WhiteBalanceOptions20(3pm)

NAME
ONVIF::PTZ::Types::WhiteBalanceOptions20

DESCRIPTION
Perl data type class for the XML Schema defined complexType WhiteBalanceOptions20 from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Mode

•   YrGain

•   YbGain

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::PTZ::Types::WhiteBalanceOptions20
   Mode => $some_value, # WhiteBalanceMode
   YrGain =>  { # ONVIF::PTZ::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   YbGain =>  { # ONVIF::PTZ::Types::FloatRange
     Min =>  $some_value, # float
     Max =>  $some_value, # float
   },
   Extension =>  { # ONVIF::PTZ::Types::WhiteBalanceOptions20Extension
   },
 },

AUTHOR
Generated by SOAP::WSDL